Bug 120480 - Headers and Footers Can be Changed in Read-only Spreadsheets
Summary: Headers and Footers Can be Changed in Read-only Spreadsheets
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Read-Only
  Show dependency treegraph
 
Reported: 2018-10-10 12:06 UTC by Harald Koester
Modified: 2021-11-10 04:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2018-10-10 12:06:48 UTC
In order to reproduce the bug:

[1] Create new spreadsheet.
[2] Insert a bit of text into a cell.
[3] Save document.
[4] Change to read-only mode: Edit > Edit Mode
[5] Change Header: Insert > Headers and Footers… > Tab Header > Insert a bit of text into one of the areas. Then OK.. Expected: A change should not be possible.
[6] View Preview: File > Print Preview. The change of step 5 is displayed.

One possibility in order to correct this bug may be to grey the menu item “Headers and Footers...”. But I think there are cases where a user likes to view the content of headers and footers in read-only mode. For this use cases the dialogue Headers/Footers should be displayed furthermore, but it should not be possible to make any changes in this dialogue.
Comment 1 Xisco Faulí 2018-10-10 12:12:23 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 4a0ca73c31990568bf20a1c3f0906c3a5770a38e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 2 Xisco Faulí 2018-10-10 12:13:29 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.15; Render: default;
Comment 3 QA Administrators 2019-10-11 02:36:33 UTC Comment hidden (obsolete)
Comment 4 Harald Koester 2019-11-10 09:21:05 UTC
Bug still exists in version 6.3.3 (64 bit, Win10).
Bug already exists in verion 3.3.0, hence inherited from OOo.
Comment 5 QA Administrators 2021-11-10 04:08:17 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug